Module java.corba
Package org.omg.CORBA

## Class NameValuePairHelper

- java.lang.Object
- - org.omg.CORBA.NameValuePairHelper

-     public abstract class NameValuePairHelper
      extends Object

  The Helper for `NameValuePair`. For more information on Helper files, see "Generated Files: Helper Files".

  org/omg/CORBA/NameValuePairHelper.java Generated by the IDL-to-Java compiler (portable), version "3.0" 03 June 1999 11:52:03 o'clock GMT+00:00

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NameValuePairHelper​()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static NameValuePair` | `extract​(Any a)` |
    `static String` | `id​()` |
    `static void` | `insert​(Any a, NameValuePair that)` |
    `static NameValuePair` | `read​(InputStream istream)` |
    `static TypeCode` | `type​()` |
    `static void` | `write​(OutputStream ostream, NameValuePair value)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NameValuePairHelper

          public NameValuePairHelper​()

  - ### Method Detail

    - #### insert

          public static void insert​(Any a,
                                    NameValuePair that)

    - #### extract

          public static NameValuePair extract​(Any a)

    - #### type

          public static TypeCode type​()

    - #### id

          public static String id​()

    - #### read

          public static NameValuePair read​(InputStream istream)

    - #### write

          public static void write​(OutputStream ostream,
                                   NameValuePair value)